<!doctype html>
<html lang="en">


	<head>
		<meta charset="utf-8">
			
		  <title>Technical and theoretical aspects of TextGrid Repository </title>
			
		  <meta name="description" content="Technical and theoretical aspects of TextGrid Repository ">
			<meta name="author" content="Dr. José Calvo Tello">

			<meta name="apple-mobile-web-app-capable" content="yes">
			<meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
			
			<meta name="viewport" content="width=device-width, initial-scale=1.0">
			
			<link rel="stylesheet" href="../../lib/reveal/dist/reset.css">
			<link rel="stylesheet" href="../../lib/reveal/dist/reveal.css">
			<link rel="stylesheet" href="../../lib/reveal/dist/theme/white.css" id="theme">
			<link rel="stylesheet" href="custom.css">
			
			<!-- Theme used for syntax highlighting of code --> 	
			<link rel="stylesheet" href="../../lib/reveal/plugin/highlight/monokai.css" id="highlight-theme">
	</head>

	<body>

        <div class="reveal">
            <div class="slides">
              
				<section data-markdown="" data-separator="^\n---\n" data-separator-vertical="^\n--\n" data-charset="utf-8">
					<script type="text/template">
<!-- .slide: class="firstSlide" -->

## Technical and theoretical aspects of TextGrid Repository 


<br />

## CLARIAH-ES, Euskal Herriko Unibertsitatea
### 13-14.06.2023

<hr />

#### José Calvo Tello
##### SUB Göttingen, Text+


--



<img src="./img/29988892-0460-4fd8-a7ba-6752d9adf8f8.png" />

--

# Modular Structure
* TG-publish
* TG-CRUD
* TG-search
* TG-auth

--


<img src="./img/publish-workflow-tglab.png" />

--

<img src="./img/publish-workflow-tgrep.png" />


--

# TG Metadata Objects


--

# Functional Requirements for Bibliographic Records (FRBR)

<img src="./img/jane_austen_romanistentag.drawio.png" />


--

# TG Metadata Schema

<img src="./img/esquema-metadatos.png" />

--

# TG Import

```
ELTeC-deu
└── level1
    └── DEU001.xml
```

--


```
ELTeC
└── deu
    ├── deu001.edition
    ├── deu001.edition.meta
    └── deu001
        ├── deu001.xml
        ├── deu001.xml.meta
        ├── deu001.work
        └── deu001.work.meta
```


--

# File name “my-TEI-file.xml”
* URI “textgrid:12345.0”
* Persistent Identifier (PID)
* Prefix (textgrid:)
* Identifier (12345)
* Revision number (0)
* Example: https://textgridrep.org/browse/40wc3.0





					</script>
				</section>
            </div>
        </div>

        <script src="../../lib/reveal/dist/reveal.js"></script>
        <script src="../../lib/reveal/plugin/zoom/zoom.js"></script>
        <script src="../../lib/reveal/plugin/notes/notes.js"></script>
        <script src="../../lib/reveal/plugin/search/search.js"></script>
        <script src="../../lib/reveal/plugin/markdown/markdown.js"></script>
        <script src="../../lib/reveal/plugin/highlight/highlight.js"></script>
        <script>
    
          // Also available as an ES module, see:
          // https://revealjs.com/initialization/
          Reveal.initialize({
            controls: true,
            progress: true,
            center: true,
            hash: true,
    
            // Learn about plugins: https://revealjs.com/plugins/
            plugins: [ RevealZoom, RevealNotes, RevealSearch, RevealMarkdown, RevealHighlight ]
          });
    
        </script>
    
      </body>
    </html>
    